This page was not yet optimized for use on mobile devices.
SideChannel Polymorphic Encryption Module - Mobile
Certificate details
| Certificate ID | #3645 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 20.04.2020 , 09.03.2022 , 15.05.2023 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. No assurance of the minimum strength of generated keys. This validation entry is a non-security relevant modification to Cert. #1938 |
| Exceptions |
|
| Description | The SideChannel Polymorphic Encryption Module - Mobile (PEM-M) provides FIPS 140-2 validated encryption for mobile devices and is deployed with SideChannel’s next-gen Polymorphic Key Progression Algorithm (PKPA) solution to enhance standard encryption through the process of polymorphism. The PEM-M features robust algorithm support, suitable for the latest cryptography suites (Suite B, CNSA and beyond). |
| Tested configurations |
|
| Vendor | SideChannel Inc. http://www.sidechannel.com |
| Lab | CYGNACOM SOLUTIONS INC, AEGISOLVE, Inc., Leidos Accredited Testing & Evaluation (AT&E) Lab |
| Algorithms | |
| References | This certificate's webpage directly references 1 certificates, transitively this expands into 1 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, Triple-DES, HMAC, HMAC-SHA-224, HMAC-SHA-256, CMACAsymmetric Algorithms
ECDSA, ECC, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA-384, SHA-512, SHA-224, SHA-256, SHA512, SHA-2Schemes
MACProtocols
SSL, TLSRandomness
DUAL_EC_DRBG, PRNG, DRBG, RNGElliptic Curves
P-224, P-256, P-384, P-521, P-192, K-233, K-283, K-409, K-571, B-233, B-283, B-409, B-571, K-163, B-163Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XTSSecurity level
Level 1Standards
FIPS 140-2, FIPS 140, FIPS 186-4, FIPS 186-2, FIPS 1402, SP 800-90A, NIST SP 800-131A, PKCS #1, PKCS1, PKCS#1, RFC5288, RFC5289, RFC 5246Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3645,
"dgst": "62fe739825059f30",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#1352",
"#1296",
"Triple-DES#1351",
"AES#2125",
"#667",
"#1849",
"#319",
"#233",
"#2126",
"RSA#1094",
"#1095",
"#1094",
"DSA#667",
"DRBG#234",
"#1850",
"#1352",
"#1297",
"SHS#1849",
"ECDSA#320",
"#320",
"#1351",
"DRBG#233",
"HMAC#1296",
"#234",
"AES#2126",
"HMAC#1297",
"#666",
"DSA#666",
"SHS#1850",
"#2125",
"ECDSA#319",
"RSA#1095"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": {
"_type": "Set",
"elements": [
"1938"
]
},
"indirectly_referenced_by": null,
"indirectly_referencing": {
"_type": "Set",
"elements": [
"1938"
]
}
},
"module_prunned_references": {
"_type": "Set",
"elements": [
"1938"
]
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 44,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDSA": {
"ECDSA": 12
}
},
"FF": {
"DH": {
"DH": 1,
"Diffie-Hellman": 2
},
"DSA": {
"DSA": 13
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 3
},
"CCM": {
"CCM": 2
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 3
},
"GCM": {
"GCM": 4
},
"OFB": {
"OFB": 1
},
"XTS": {
"XTS": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 1
},
"TLS": {
"TLS": 5
}
}
},
"crypto_scheme": {
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-163": 4,
"B-233": 4,
"B-283": 6,
"B-409": 4,
"B-571": 6,
"K-163": 4,
"K-233": 5,
"K-283": 6,
"K-409": 3,
"K-571": 6,
"P-192": 8,
"P-224": 10,
"P-256": 12,
"P-384": 8,
"P-521": 12
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 2
}
},
"fips_certlike": {
"Certlike": {
"HMAC SHA- 224": 1,
"HMAC SHA- 256": 1,
"HMAC SHA-1": 1,
"HMAC SHA-384": 1,
"HMAC SHA-512": 1,
"HMAC- SHA-384": 1,
"HMAC- SHA-512 1297": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA1": 10,
"HMAC-SHA224": 2,
"HMAC-SHA256": 2,
"HMAC-SHA384": 2,
"HMAC-SHA512": 2,
"PKCS #1": 4,
"PKCS#1": 2,
"PKCS1": 6,
"SHA- 224": 1,
"SHA- 256": 1,
"SHA- 512": 1,
"SHA-1": 22,
"SHA-2": 12,
"SHA-224": 3,
"SHA-256": 4,
"SHA-384": 6,
"SHA-512": 2,
"SHA-512 1297": 1,
"SHA-512 1850": 1,
"SHA512": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 22
},
"SHA2": {
"SHA-2": 12,
"SHA-224": 3,
"SHA-256": 4,
"SHA-384": 6,
"SHA-512": 4,
"SHA512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"DUAL_EC": {
"DUAL_EC_DRBG": 1
},
"PRNG": {
"DRBG": 15,
"PRNG": 1
},
"RNG": {
"RNG": 3
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 6,
"FIPS 140-2": 40,
"FIPS 1402": 1,
"FIPS 186-2": 6,
"FIPS 186-4": 6
},
"NIST": {
"NIST SP 800-131A": 2,
"SP 800-90A": 2
},
"PKCS": {
"PKCS #1": 2,
"PKCS#1": 1,
"PKCS1": 3
},
"RFC": {
"RFC 5246": 1,
"RFC5288": 2,
"RFC5289": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 13
}
},
"DES": {
"3DES": {
"Triple-DES": 8
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 6,
"HMAC": 13,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"DRBG#233",
"HMAC#1296",
"Triple-DES#1352",
"AES#2126",
"HMAC#1297",
"RSA#1094",
"Triple-DES#1351",
"ECDSA#320",
"AES#2125",
"DSA#666",
"SHS#1850",
"SHS#1849",
"ECDSA#319",
"DSA#667",
"RSA#1095",
"DRBG#234"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#1296",
"#234",
"#1850",
"#1352",
"#666",
"#1297",
"#667",
"#1095",
"#2125",
"#1094",
"#1849",
"#2126",
"#319",
"#320",
"#233",
"#1351"
]
},
"policy_metadata": {
"/Author": "SafeLogic",
"/CreationDate": "D:20230410133657-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20230410133657-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"/Subject": "SideChannel Polymorphic Encryption Module - Mobile",
"/Title": "Security Policy",
"pdf_file_size_bytes": 674754,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://www.sidechannel.com/",
"https://www.safelogic.com/",
"http://csrc.nist.gov/groups/STM/cmvp/index.html"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 24
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "5999edc6ee01e7636c27faad0962b0fc6495aadb2b6748b5e5530b3325ddd976",
"source_hash": "f06f96d3f52cb44b4b4f9ab89a82882eea0e2eb2dddfc1f07a52d35ee1f79718",
"txt_hash": "17a7467e3597179dad04bf8275d29e4ffd2ba994c034304fabe6a7d81379c6ca"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. No assurance of the minimum strength of generated keys. This validation entry is a non-security relevant modification to Cert. #1938",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/April 2020_010520_0717.pdf",
"date_sunset": null,
"description": "The SideChannel Polymorphic Encryption Module - Mobile (PEM-M) provides FIPS 140-2 validated encryption for mobile devices and is deployed with SideChannel\u2019s next-gen Polymorphic Key Progression Algorithm (PKPA) solution to enhance standard encryption through the process of polymorphism. The PEM-M features robust algorithm support, suitable for the latest cryptography suites (Suite B, CNSA and beyond).",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Design Assurance: Level 3",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {
"1938": 1
},
"module_name": "SideChannel Polymorphic Encryption Module - Mobile",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "2.1",
"tested_conf": [
"Android 4.0 running on a Galaxy Nexus with an ARM Cortex-A9",
"iOS 5.1 running on an iPad 3 with an ARM A5X",
"iOS 6 running on an iPad 3 with an ARM A5X",
"iOS 7 running on an iPad 3 with an ARM A5X (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2020-04-20",
"lab": "CYGNACOM SOLUTIONS INC",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-03-09",
"lab": "AEGISOLVE, Inc.",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-05-15",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
}
],
"vendor": "SideChannel Inc.",
"vendor_url": "http://www.sidechannel.com"
}
}